Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Web.Services.Protocols
Imports System.Xml.Serialization

<XmlRoot(Namespace:=AuthenticationHeader.HeaderName)> _
 Public Class AuthenticationHeader
    Inherits SoapHeader

    Public Const HeaderName As String = "uri://BusinessCommon/AuthenticationHeader"
    Private mName As String
    Private mIssueDate As DateTime
    Private mExpiration As DateTime
    Private mRoles As String()
    Private mUserData As String

    Public Sub New()
    End Sub

    Public Property Name() As String
        Get
            Return mName
        End Get
        Set(ByVal value As String)
            mName = value
        End Set
    End Property

    Public Property IssueDate() As DateTime
        Get
            Return mIssueDate
        End Get
        Set(ByVal value As DateTime)
            mIssueDate = value
        End Set
    End Property

    Public Property Expiration() As DateTime
        Get
            Return mExpiration
        End Get
        Set(ByVal value As DateTime)
            mExpiration = value
        End Set
    End Property

    Public Property Roles() As String()
        Get
            Return mRoles
        End Get
        Set(ByVal value As String())
            mRoles = value
        End Set
    End Property

    Public Property UserData() As String
        Get
            Return mUserData
        End Get
        Set(ByVal value As String)
            mUserData = value
        End Set
    End Property
End Class
